Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA1_LIM3_PISCES/namelist_cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA1_LIM3_PISCES/namelist_cfg	(revision 5632)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA1_LIM3_PISCES/namelist_cfg	(revision 5633)
@@ -117,6 +117,6 @@
 !              !  file name           ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
 !              !                      !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
-   sn_rnf      = 'eORCA_R1_runoff_clim_v1.0',        -1         , 'sorunoff',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
-   sn_cnf      = 'eORCA_R1_runoff_clim_v1.0',         0         , 'socoeff' ,   .false.    , .true. , 'yearly'  , ''       , ''       , ''
+   sn_rnf      = 'eORCA_R1_runoff_clim_v1.0_nomask',        -1         , 'sorunoff',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
+   sn_cnf      = 'eORCA_R1_runoff_clim_v1.0_nomask',         0         , 'socoeff' ,   .false.    , .true. , 'yearly'  , ''       , ''       , ''
    sn_s_rnf    = 'runoffs'            ,        24         , 'rosaline',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
    sn_t_rnf    = 'runoffs'            ,        24         , 'rotemper',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
Index: anches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA1_LIM3_PISCES/namelist_pisces_cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA1_LIM3_PISCES/namelist_pisces_cfg	(revision 5632)
+++ 	(revision )
@@ -1,93 +1,0 @@
-!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! PISCES  :   Configuration namelist : used to overwrite defaults values defined in SHARED/namelist_pis_ref
-!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampisext     !   air-sea exchange
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   atcco2      =  287.     ! Constant value atmospheric pCO2 - ln_co2int = F
-/
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampisatm     !  Atmospheric prrssure 
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   ln_presatm  = .false.   ! constant atmopsheric pressure (F) or from a file (T)
-/
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampisbio     !   biological parameters
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-/
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampislim     !   parameters for nutrient limitations
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-/
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampisopt     !   parameters for optics
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-!              !  file name                                 ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
-!              !                                            !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
-   sn_par      = 'par_fraction_gewex_clim90s00s_eORCA_R1.nc',     24            , 'fr_par'  ,  .true.      , .true. , 'yearly'  , ''       , ''       , ''
-   ln_varpar   = .false.   ! boolean for PAR variable
-/ 
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampisprod     !   parameters for phytoplankton growth
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-/
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampismort     !   parameters for phytoplankton sinks
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-/
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampismes     !   parameters for mesozooplankton
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-/
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampiszoo     !   parameters for microzooplankton
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-/
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampisfer     !   parameters for iron chemistry
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-/  
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampisrem     !   parameters for remineralization
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-/
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampiscal     !   parameters for Calcite chemistry
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-/
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampissbc     !   parameters for inputs deposition
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-!              !  file name                           ! frequency (hours) ! variable      ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
-!              !                                      !  (if <0  months)  !   name        !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
-   sn_dust     = 'dust_INCA_eORCA_R1.nc'              ,     -1            , 'dust'        ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
-   sn_solub    = 'Solubility_T62_Mahowald_eORCA_R1.nc',    -12            , 'solubility2' ,  .false.     , .true. , 'yearly'  , ''       , ''    , ''
-   sn_riverdic = 'river_global_news_eORCA_R1.nc'      ,    -1             , 'riverdic'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
-   sn_riverdoc = 'river_global_news_eORCA_R1.nc'      ,    -1             , 'riverdoc'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
-   sn_riverdin = 'river_global_news_eORCA_R1.nc'      ,    -1             , 'riverdin'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
-   sn_riverdon = 'river_global_news_eORCA_R1.nc'      ,    -1             , 'riverdon'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
-   sn_riverdip = 'river_global_news_eORCA_R1.nc'      ,    -1             , 'riverdip'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
-   sn_riverdop = 'river_global_news_eORCA_R1.nc'      ,    -1             , 'riverdop'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
-   sn_riverdsi = 'river_global_news_eORCA_R1.nc'      ,    -1             , 'riverdsi'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
-   sn_ndepo    = 'ndeposition_Duce_eORCA_R1.nc'       ,    -12            , 'ndep'        ,  .false.     , .true. , 'yearly'  , ''       , ''    , ''
-   sn_ironsed  = 'pmarge_etopo_eORCA_R1.nc'           ,    -12            , 'bathy'       ,  .false.     , .true. , 'yearly'  , ''       , ''    , ''
-!
-   cn_dir      = './'      ! root directory for the location of the dynamical files
-   ln_dust     =  .false.  ! boolean for dust input from the atmosphere
-   ln_solub    =  .false.  ! boolean for variable solubility of atm. Iron
-   ln_river    =  .false.  ! boolean for river input of nutrients
-   ln_ndepo    =  .false.  ! boolean for atmospheric deposition of N
-   ln_ironsed  =  .false.  ! boolean for Fe input from sediments
-   ln_ironice  =  .true.   ! boolean for Fe input from sea ice
-   ln_hydrofe  =  .false.  ! boolean for from hydrothermal vents
-   sedfeinput  =  1.e-9    ! Coastal release of Iron
-/
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampisdmp     !  Damping 
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   nn_pisdmp   =  .false.  ! Relaxation fo some tracers to a mean value
-/
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampismass     !  Mass conservation
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-/
Index: anches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA1_LIM3_PISCES/namelist_top_cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA1_LIM3_PISCES/namelist_top_cfg	(revision 5632)
+++ 	(revision )
@@ -1,103 +1,0 @@
-!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/TOP1 :  Configuration namelist : used to overwrite defaults values defined in SHARED/namelist_top_ref
-!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!-----------------------------------------------------------------------
-&namtrc_run     !   run information
-!-----------------------------------------------------------------------
-   ln_top_euler  =   .true.
-/
-!-----------------------------------------------------------------------
-&namtrc     !   tracers definition
-!-----------------------------------------------------------------------
-   ln_trcdta     =  .false.  !  Initialisation from data input file (T) or not (F)
-!                !    name   !           title of the field              ! initial data ! initial data ! save   !
-!                !           !                                           !  units       ! from file    ! or not ! 
-!                !           !                                           !              ! or not       !        !
-   sn_tracer(1)   = 'DIC     ' , 'Dissolved inorganic Concentration      ',  'mol-C/L' ,  .true.     ,  .true.
-   sn_tracer(2)   = 'Alkalini' , 'Total Alkalinity Concentration         ',  'eq/L '   ,  .true.     ,  .true.
-   sn_tracer(3)   = 'O2      ' , 'Dissolved Oxygen Concentration         ',  'mol-C/L' ,  .true.     ,  .true.
-   sn_tracer(4)   = 'CaCO3   ' , 'Calcite Concentration                  ',  'mol-C/L' ,  .false.    ,  .true.
-   sn_tracer(5)   = 'PO4     ' , 'Phosphate Concentration                ',  'mol-C/L' ,  .true.     ,  .true.
-   sn_tracer(6)   = 'POC     ' , 'Small organic carbon Concentration     ',  'mol-C/L' ,  .false.    ,  .true.
-   sn_tracer(7)   = 'Si      ' , 'Silicate Concentration                 ',  'mol-C/L' ,  .true.     ,  .true.
-   sn_tracer(8)   = 'PHY     ' , 'Nanophytoplankton Concentration        ',  'mol-C/L' ,  .false.    ,  .true.
-   sn_tracer(9)   = 'ZOO     ' , 'Microzooplankton Concentration         ',  'mol-C/L' ,  .false.    ,  .true.
-   sn_tracer(10)  = 'DOC     ' , 'Dissolved organic Concentration        ',  'mol-C/L' ,  .true.     ,  .true.
-   sn_tracer(11)  = 'PHY2    ' , 'Diatoms Concentration                  ',  'mol-C/L' ,  .false.    ,  .true.
-   sn_tracer(12)  = 'ZOO2    ' , 'Mesozooplankton Concentration          ',  'mol-C/L' ,  .false.    ,  .true.
-   sn_tracer(13)  = 'DSi     ' , 'Diatoms Silicate Concentration         ',  'mol-C/L' ,  .false.    ,  .true.
-   sn_tracer(14)  = 'Fer     ' , 'Dissolved Iron Concentration           ',  'mol-C/L' ,  .true.     ,  .true.
-   sn_tracer(15)  = 'BFe     ' , 'Big iron particles Concentration       ',  'mol-C/L' ,  .false.    ,  .true.
-   sn_tracer(16)  = 'GOC     ' , 'Big organic carbon Concentration       ',  'mol-C/L' ,  .false.    ,  .true.
-   sn_tracer(17)  = 'SFe     ' , 'Small iron particles Concentration     ',  'mol-C/L' ,  .false.    ,  .true.
-   sn_tracer(18)  = 'DFe     ' , 'Diatoms iron  Concentration            ',  'mol-C/L' ,  .false.    ,  .true.
-   sn_tracer(19)  = 'GSi     ' , 'Sinking biogenic Silicate Concentration',  'mol-C/L' ,  .false.    ,  .true.
-   sn_tracer(20)  = 'NFe     ' , 'Nano iron Concentration                ',  'mol-C/L' ,  .false.    ,  .true.
-   sn_tracer(21)  = 'NCHL    ' , 'Nano chlorophyl Concentration          ',  'mol-C/L' ,  .false.    ,  .true.
-   sn_tracer(22)  = 'DCHL    ' , 'Diatoms chlorophyl Concentration       ',  'mol-C/L' ,  .false.    ,  .true.
-   sn_tracer(23)  = 'NO3     ' , 'Nitrates Concentration                 ',  'mol-C/L' ,  .true.     ,  .true.
-   sn_tracer(24)  = 'NH4     ' , 'Ammonium Concentration                 ',  'mol-C/L' ,  .false.    ,  .true.
-/
-!-----------------------------------------------------------------------
-&namtrc_dta      !    Initialisation from data input file
-!-----------------------------------------------------------------------
-!                !  file name                          ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
-!                !                                     !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
-   sn_trcdta(1)  = 'DIC_GLODAP_annual_eORCA_R1.nc'     ,        -12        ,  'DIC'     ,    .false.   , .true. , 'yearly'  , ''       , ''   , ''
-   sn_trcdta(2)  = 'Alkalini_GLODAP_annual_eORCA_R1.nc',        -12        ,  'Alkalini',    .false.   , .true. , 'yearly'  , ''       , ''   , ''
-   sn_trcdta(3)  = 'O2_WOA2009_monthly_eORCA_R1.nc'    ,        -1         ,  'O2'      ,    .true.    , .true. , 'yearly'  , ''       , ''   , ''
-   sn_trcdta(5)  = 'PO4_WOA2009_monthly_eORCA_R1.nc'   ,        -1         ,  'PO4'     ,    .true.    , .true. , 'yearly'  , ''       , ''   , ''
-   sn_trcdta(7)  = 'Si_WOA2009_monthly_eORCA_R1.nc'    ,        -1         ,  'Si'      ,    .true.    , .true. , 'yearly'  , ''       , ''   , ''
-   sn_trcdta(10) = 'DOC_PISCES_monthly_eORCA_R1.nc'    ,        -1         ,  'DOC'     ,    .true.    , .true. , 'yearly'  , ''       , ''   , ''
-   sn_trcdta(14) = 'Fer_PISCES_monthly_eORCA_R1.nc'    ,        -1         ,  'Fer'     ,    .true.    , .true. , 'yearly'  , ''       , ''   , ''
-   sn_trcdta(23) = 'NO3_WOA2009_monthly_eORCA_R1.nc'   ,        -1         ,  'NO3'     ,    .true.    , .true. , 'yearly'  , ''       , ''   , ''
-   rn_trfac(1)   =   1.028e-06  !  multiplicative factor
-   rn_trfac(2)   =   1.028e-06  !  -      -      -     -
-   rn_trfac(3)   =  44.6e-06  !  -      -      -     -
-   rn_trfac(5)   = 122.0e-06  !  -      -      -     -
-   rn_trfac(7)   =   1.0e-06  !  -      -      -     -
-   rn_trfac(10)  =   1.0e-06  !  -      -      -     -
-   rn_trfac(14)  =   1.0e-06  !  -      -      -     -
-   rn_trfac(23)  =   7.6e-06  !  -      -      -     -
-/
-!-----------------------------------------------------------------------
-&namtrc_adv    !   advection scheme for passive tracer 
-!-----------------------------------------------------------------------
-   ln_trcadv_tvd     =  .false.  !  TVD scheme
-   ln_trcadv_muscl   =  .true.   !  MUSCL scheme
-/
-!-----------------------------------------------------------------------
-&namtrc_ldf    !   lateral diffusion scheme for passive tracer 
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namtrc_zdf        !   vertical physics
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namtrc_rad        !  treatment of negative concentrations 
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namtrc_dmp    !   passive tracer newtonian damping
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namtrc_ice       !    Representation of sea ice growth & melt effects
-!-----------------------------------------------------------------------
-   nn_ice_tr   =  1        !  prescribed tracer concentration in sea ice
-/
-!-----------------------------------------------------------------------
-&namtrc_trd       !   diagnostics on tracer trends        ('key_trdtrc')
-!                          or mixed-layer trends          ('key_trdmld_trc')
-!----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namtrc_dia       !   parameters for passive tracer additional diagnostics
-!----------------------------------------------------------------------
-   ln_diatrc     =  .false.   !  save additional diag. (T) or not (F)
-/
-!----------------------------------------------------------------------
-&namtrc_bc        !   data for boundary conditions
-!-----------------------------------------------------------------------
-/
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh	(revision 5632)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh	(revision 5633)
@@ -88,5 +88,5 @@
 print_step 'Difference with standard input files list'
 diff_inputs
-exit 0
+
 ## Job submission & computing
 ##---------------------------------------------------
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh	(revision 5632)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh	(revision 5633)
@@ -8,8 +8,8 @@
 	[ -e time.step ] && LAST_TIME_STEP=$( cat time.step | tr -d ' ' )
 	export LAST_TIME_STEP
-    fi
-
-#    [ -e ocean.output ] && line=$( grep -m1 -A5 "$state" ocean.output | tr -d '\n' )
-    [ -e ocean.output ] && line=$( grep -m1 -A3 "^ $state" ocean.output | tr -d '\n' )
+	[ -e ocean.output ] && line=$( grep -m1 -A4 "$state" ocean.output | tr -d '\n' )
+    else
+	[ -e ocean.output ] && line=$( grep -m1 -A3 "^ $state" ocean.output | tr -d '\n' )
+    fi
 
 #    if [[ -e ${REFE_DIR}/model.log && $( diff -q model.log ${REFE_DIR}/model.log ) ]]; then
@@ -107,5 +107,5 @@
 	[[ "$soft" == "$CDO"    && -z "${soft_rel}" ]] && soft_rel=$( echo $PATH | grep -o "netcdf-utils[^/]*" )
 	[[ "$soft" == "$NETCDF" && -z "${soft_rel}" ]] && soft_rel=$( echo $PATH | grep -o "netcdf[^/]*"  | sort | head -1 )
-	echo $soft ${soft_rel} >> model.log
+	echo ${soft_rel} >> model.log
     done
 